import request from '@/utils/request'

// 查询报名点成交登记列表
export function listSign(query) {
  return request({
    url: '/zs/officesign/list',
    method: 'get',
    params: query
  })
}

// 查询报名点成交登记详细
export function getSign(officesignId) {
  return request({
    url: '/zs/officesign/' + officesignId,
    method: 'get'
  })
}

// 新增报名点成交登记
export function addSign(data) {
  return request({
    url: '/zs/officesign',
    method: 'post',
    data: data
  })
}

// 修改报名点成交登记
export function updateSign(data) {
  return request({
    url: '/zs/officesign',
    method: 'put',
    data: data
  })
}

// 删除报名点成交登记
export function delSign(officesignId) {
  return request({
    url: '/zs/officesign/' + officesignId,
    method: 'delete'
  })
}

//审核登记
export function checkSign(data) {
  return request({
    url: '/zs/officesign/check',
    method: 'put',
    data: data
  })
}
